httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thomas Eckert <thomas.r.w.eck...@gmail.com>
Subject Re: [users@httpd] ReverseProxy Exchange 2013
Date Mon, 17 Feb 2014 08:23:39 GMT
> So i finally got apache2-devel installed....... However, when running
./configure for mod_proxy_msrpc, i get an error due to the absence of
ap_socache.h. It appears this file is included n apache 2.4. Now, will
mod_proxy_msrpc only work in apache 2.4? If not, can i just get the
ap_socache.h file and copy it to the correct folder and it work or will
this break things?

I really doubt that will do you any good. Since mod_proxy_msrpc was
developed against 2.4 you will need httpd-2.4.x to (compile and) run it.
With lower versions it's sure to break at some point so don't bother. So
far we haven't done any backport and I don't think we will.


On Mon, Feb 17, 2014 at 12:36 AM, Chris Arnold
<carnold@electrichendrix.com>wrote:

> >Chris, if you encounter any issues with mod_proxy_msrpc please report
> them at https://github.com/bombadil/mod_proxy_msrpc/issues. Note that
> OAB, OWA, Autodiscover, ActiveSync, etc. all use ">normal" HTTP/S (and not
> MSRPC like OA) so they should work without mod_proxy_msrpc. There is an
> open issue with Ex2013 (
> https://github.com/bombadil/mod_proxy_msrpc/issues/14) which I >hope >to
> get some time for next week.
>
> So i finally got apache2-devel installed....... However, when running
> ./configure for mod_proxy_msrpc, i get an error due to the absence of
> ap_socache.h. It appears this file is included in apache 2.4. Now, will
> mod_proxy_msrpc only work in apache 2.4? If not, can i just get the
> ap_socache.h file and copy it to the correct folder and it work or will
> this break things?
>

Mime
View raw message